Name:          fcgi
Version:       2.4.4
Release:       1mamba
Summary:       FASTCgi (fcgi) is a language independent, high performant extension to CGI
Group:         System/Servers
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/FastCGI-Archives/fcgi2
Source:        https://github.com/FastCGI-Archives/fcgi2.git/%{version}/fcgi2-%{version}.tar.bz2
License:       Custom
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libnsl-devel
BuildRequires: libstdc++6-devel
## AUTOBUILDREQ-END
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description
FASTCgi (fcgi) is a language independent, high performant extension to CGI.

%package -n lib%{name}
Group:         System/Libraries
Summary:       Shared libraries for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n lib%{name}
This package contains shared libraries for %{name}.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      pkg-config

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.


%prep
%setup -q -n fcgi2-%{version}
./autogen.sh

%build
%configure
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"


%files
%defattr(-,root,root)
%{_bindir}/cgi-fcgi
%{_mandir}/man1/cgi-fcgi.1*

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/libfcgi++.so.*
%{_libdir}/libfcgi.so.*
%doc LICENSE

%files -n lib%{name}-devel
%defattr(-,root,root)
%{_includedir}/fastcgi.h
%{_includedir}/fcgi*.h
%{_libdir}/libfcgi++.a
%{_libdir}/libfcgi++.so
%{_libdir}/libfcgi.a
%{_libdir}/libfcgi.so
%{_libdir}/pkgconfig/fcgi++.pc
%{_libdir}/pkgconfig/fcgi.pc
%{_mandir}/man3/FCGI_*.3*
%doc README.md


%changelog
* Wed Jan 08 2025 Automatic Build System <autodist@openmamba.org> 2.4.4-1mamba
- automatic version update by autodist

* Sat Nov 09 2024 Automatic Build System <autodist@openmamba.org> 2.4.3-1mamba
- automatic version update by autodist

* Sat Aug 12 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 2.4.2-1mamba
- package created using the webbuild interface
